# Documentation Specfile
%define HTMLVIEW %(test "%{?dist}" == ".el5" && echo 1 || echo 0)
%define ICONS 1

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN
Version:      1
Release:      21%{?dist}

Summary:      Chinese translation of Release_Notes
Summary(zh-CN):    红​帽​企​业​版​ Linux 6 发​行​注​记​


Group:         Documentation
License:       CC-BY-SA
URL:           http://www.redhat.com/docs
Source:        %{name}-%{version}-21.tgz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif

%description
Chinese translation of Release_Notes

%description -l zh-CN
发​行​注​记​记​录​了​红​帽​企​业​版​ Linux 6 发​行​本​的​主​要​特​点​及​改​进​。​

%prep
%setup -q

%build
publican build --formats="html-desktop" --langs=zh-CN

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

%if %{ICONS}
for icon in `ls icons/*x*.png`; do
	size=`echo "$icon" | sed -e 's/icons\/\(.*\)\.png/\1/'`;
	mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
	cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN.png;
done
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
cp icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN.svg;
%else
cp images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=红​帽​企​业​版​ Linux 6: 发​行​注​记​
Comment=红​帽​企​业​版​ Linux 6 发​行​注​记​
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/zh-CN/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Thu Aug 12 2010 Ryan Lerch <rlerch@redhat.com> 1
- Initial version of the Red Hat Enterprise Linux 6 Release Notes 



